%define libxml2_version 2.4.21
%define orbit2_version 2.7.5

%define po_package libbonobo-2.0

Summary: Bonobo component system
Name: libbonobo
Version: 2.16.0
Release: 1%{?dist}
URL: http://ftp.gnome.org
Source0: %{name}-%{version}.tar.bz2
License: LGPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-root
BuildPreReq: libxml2-devel >= %{libxml2_version}
BuildPreReq: ORBit2-devel >= %{orbit2_version}
BuildPreReq: intltool >= 0.14-1
BuildPreReq: automake autoconf libtool
BuildPreReq: gtk-doc
BuildPreReq: flex, bison, zlib-devel
BuildRequires: gettext
# From 2.3, libbonobo swallowed bonobo-activation
Obsoletes: bonobo-activation
Provides: bonobo-activation = %{version}-%{release}

Patch0: libbonobo-2.13.1-multishlib.patch

%description
Bonobo is a component system based on CORBA, used by the GNOME desktop.

%package devel
Summary: Libraries and headers for libbonobo
Group: Development/Libraries
Requires:	%name = %{version}
Requires:  ORBit2-devel >= %{orbit2_version}
Requires:  libxml2-devel >= %{libxml2_version}
Requires:  pkgconfig

# From 2.3, libbonobo swallowed bonobo-activation
Obsoletes: bonobo-activation-devel
Provides: bonobo-activation-devel = %{version}-%{release}

Conflicts: bonobo-devel < 1.0.8

%description devel
Bonobo is a component system based on CORBA, used by the GNOME desktop.

This package contains header files used to compile programs that 
use Bonobo.

%prep
%setup -q -n %{name}-%{version}

%ifarch ppc64 s390x x86_64
%patch0 -p1 -b .multishlib
%endif


%build
intltoolize -f
aclocal
automake
autoconf
%configure --disable-gtk-doc

make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

## just kill this wherever it lives
rm -f $RPM_BUILD_ROOT%{_libdir}/bonobo-2.0/samples/bonobo-echo-2
rm -f $RPM_BUILD_ROOT%{_prefix}/lib/bonobo-2.0/samples/bonobo-echo-2

## kill other stuff
rm $RPM_BUILD_ROOT%{_bindir}/echo-client-2
rm $RPM_BUILD_ROOT%{_libdir}/*.la
rm $RPM_BUILD_ROOT%{_libdir}/*.a
rm $RPM_BUILD_ROOT%{_libdir}/bonobo/monikers/*.*a
rm $RPM_BUILD_ROOT%{_libdir}/orbit-2.0/*.*a

for serverfile in $RPM_BUILD_ROOT%{_libdir}/bonobo/servers/*.server; do
    sed -i -e 's|location *= *"/usr/lib\(64\)*/|location="/usr/$LIB/|' $serverfile
done


%find_lang %{po_package}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{po_package}.lang
%defattr(-,root,root)

%doc AUTHORS COPYING ChangeLog NEWS README doc/NAMESPACE

%{_libdir}/lib*.so.*
%{_libdir}/bonobo
%{_libdir}/orbit-2.0/*.so*
%{_bindir}/*
%{_libexecdir}/*
%{_sbindir}/*
%dir %{_sysconfdir}/bonobo-activation
%config %{_sysconfdir}/bonobo-activation/*
%{_datadir}/man/man*/*

%files devel
%defattr(-,root,root)

%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/idl
%{_datadir}/gtk-doc/html/libbonobo
%{_datadir}/gtk-doc/html/bonobo-activation

%changelog
* Mon Sep  4 2006 Matthias Clasen <mclasen@redhat.com> - 2.16.0-1.fc6
- Update to 2.16.0
- Require pkgconfig in the -devel package

* Mon Aug 14 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.3-1.fc6
- Update to 2.15.3

* Sat Aug 12 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.2-1.fc6
- Update to 2.15.2

* Fri Aug 11 2006 Alexander Larsson <alexl@redhat.com> - 2.15.0-3
- Add patch to close fds when activating component (#200477)

* Thu Jul 27 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.0-2
- disable gtk-doc to fix multilib conflicts
- Don't ship static libraries

* Wed Jul 12 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.0-1
- Update to 2.15.0

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2.14.0-4.1
- rebuild

* Mon Jun 12 2006 Bill Nottingham <notting@redhat.com> 2.14.0-4
- buildreq automake, not automake16

* Sat Jun 10 2006 Matthias Clasen <mclasen@redhat.com> 2.14.0-3
- Add missing BuildRequires

* Mon Jun  5 2006 Matthias Clasen <mclasen@redhat.com> 2.14.0-2
- Rebuild

* Tue Mar 14 2006 Ray Strode <rstrode@redhat.com> 2.14.0-1
- Update to 2.14.0

* Tue Mar  7 2006 Matthias Clasen <mclasen@redhat.com>
- Update to 2.13.93

* Wed Feb 15 2006 Ray Strode <rstrode@redhat.com> 2.13.1-9
- yet another iteration of the shlib patch

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2.13.1-8.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 2.13.1-8.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Jan 25 2006 Ray Strode <rstrode@redhat.com> 2.13.1-8
- one more iteration of the shlib patch

* Wed Jan 25 2006 Ray Strode <rstrode@redhat.com> 2.13.1-7
- run automake in %%build so that shlib patch gets
  built
- change libdir logic to happen at configure time because
  automake's conditional support isn't that sophisticated
- s/%%makeinstall/make install DESTDIR=$RPM_BUILD_ROOT/

* Thu Jan 19 2006 Ray Strode <rstrode@redhat.com> 2.13.1-6
- s/sed -ie/sed -i -e/

* Thu Jan 19 2006 Ray Strode <rstrode@redhat.com> 2.13.1-5
- Step three (unbreak the step two breakage)

* Thu Jan 19 2006 Ray Strode <rstrode@redhat.com> 2.13.1-4
- Step two (bug 156982)

* Wed Jan 18 2006 Ray Strode <rstrode@redhat.com> 2.13.1-3
- Step one of the multi-bonoboshlib process
  (bug 156982)

* Mon Jan 16 2006 Matthias Clasen <mclasen@redhat.com>
- Update to 2.13.1

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Thu Dec  1 2005 Matthias Clasen <mclasen@redhat.com> 2.13.0
- Update to 2.13.0

* Fri Sep 09 2005 Florian La Roche <laroche@redhat.com>
- add a version-release to the Provides: bonobo-activation since
  many packages still try to request a specific version number

* Thu Sep  8 2005 Matthias Clasen <mclasen@redhat.com> 2.10.1-1
- Update to 2.10.1

* Fri Aug  5 2005 Matthias Clasen <mclasen@redhat.com> 2.10.0-1
- New upstream version

* Wed Feb  9 2005 Matthias Clasen <mclasen@redhat.com> 2.8.1-1
- Update to 2.8.1

* Tue Sep 28 2004 Mark McLoughlin <markmc@redhat.com> 2.8.0-2
- Add patch to make bonobo-activation notice epiphany being
  installed. Bug #117790

* Wed Sep 22 2004 Alexander Larsson <alexl@redhat.com> - 2.8.0-1
- update to 2.8.0

* Fri Jul 30 2004 Ray Strode <rstrode@redhat.com> 2.6.2-2
- rebuilt

* Fri Jul 30 2004 Ray Strode <rstrode@redhat.com> 2.6.2-1
- Update to 2.6.2

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Mar 22 2004 Mark McLoughlin <markmc@redhat.com> 2.6.0-2
- BuildRequire gtk-doc - bug #110795

* Wed Mar 10 2004 Mark McLoughlin <markmc@redhat.com> 2.6.0-1
- Update to 2.6.0

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb 23 2004 Alexander Larsson <alexl@redhat.com> 2.5.4-1
- update to 2.5.4

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Jan 16 2004 Jonathan Blandford <jrb@redhat.com> 2.5.3-1
- new version

* Wed Jan 14 2004 Jeremy Katz <katzj@redhat.com> 2.4.3-1
- update to 2.4.3

* Wed Sep  3 2003 Alexander Larsson <alexl@redhat.com> 2.4.0-1
- 2.4.0

* Wed Aug 13 2003 Alexander Larsson <alexl@redhat.com> 2.3.6-2
- rebuild

* Mon Aug 11 2003 Alexander Larsson <alexl@redhat.com> 2.3.6-1
- Rebuild for gnome 2.4

* Tue Jul 22 2003 Havoc Pennington <hp@redhat.com>
- automated rebuild

* Tue Jul  8 2003 Havoc Pennington <hp@redhat.com> 2.2.3-1
- 2.2.3

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Feb  4 2003 Havoc Pennington <hp@redhat.com> 2.2.0-1
- 2.2.0

* Tue Jan 28 2003 Matt Wilson <msw@redhat.com> 2.1.1-3
- use LIBTOOL=/usr/bin/libtool

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Sun Jan 12 2003 Havoc Pennington <hp@redhat.com>
- 2.1.1

* Fri Nov  8 2002 Havoc Pennington <hp@redhat.com>
- 2.1.0
- fix installed but unpackaged files

* Wed Jun 26 2002 Owen Taylor <otaylor@redhat.com>
- Fix find_lang

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- 2.0.0

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May 20 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Mon May 20 2002 Havoc Pennington <hp@redhat.com>
- 1.117.0

* Fri May  3 2002 Havoc Pennington <hp@redhat.com>
- 1.116.0

* Thu Apr  4 2002 Jeremy Katz <katzj@redhat.com>
- 1.113.0

* Thu Feb 14 2002 Havoc Pennington <hp@redhat.com>
- 1.111.0

* Wed Jan 30 2002 Owen Taylor <otaylor@redhat.com>
- Version 1.110.0
- Rebuild for dependencies
- Intltoolize, the included version has problems with our Perl

* Tue Jan 22 2002 Havoc Pennington <hp@redhat.com>
- automake-1.4

* Wed Jan  2 2002 Havoc Pennington <hp@redhat.com>
- 1.108.0.90 cvs snap

* Mon Nov 26 2001 Havoc Pennington <hp@redhat.com>
- 1.107.0, glib 1.3.11

* Fri Oct 26 2001 Havoc Pennington <hp@redhat.com>
- rebuild for new glib, new snap

* Fri Oct  5 2001 Havoc Pennington <hp@redhat.com>
- rebuild for new glib

* Thu Sep 27 2001 Havoc Pennington <hp@redhat.com>
- move to 1.103.0 tarball
- call automake after patching Makefile.am
- patch for parallel install

* Fri Sep 21 2001 Havoc Pennington <hp@redhat.com>
- add some requires

* Tue Sep 18 2001 Havoc Pennington <hp@redhat.com>
- conflict with bonobo < 1.0.8 to avoid header conflicts
- update group

* Mon Sep 17 2001 Havoc Pennington <hp@redhat.com>
- moved IDL files into subdir
- remove smp_mflags, libbonobo does not like those

* Thu Sep 13 2001 Havoc Pennington <hp@redhat.com>
- remove IDL files as temporary hack

* Wed Sep 12 2001 Havoc Pennington <hp@redhat.com>
- Initial build.


